import nidaq, time

wp = nidaq.initNIDAQOutput()
rp = nidaq.initNIDAQ()

delay = 0.01

def writeNIDAQ(v):
    wp(v)
    time.sleep(delay)

def readNIDAQ():
    result = rp()[0]
    time.sleep(delay)
    return result

# Write values from 0 up to 9.5 volts to NIDAQ AO0
# Go in steps of 0.5, every 2 seconds
def writeTest():
    v = 0.0
    while True:
        print v
        writeNIDAQ(v)
        time.sleep(2.0)
        v = v + 0.5
        if v > 9.5: v = 0.0

# Read values from NIDAQ AI0 through AI7 every 1 second
# Print the first two values
def readTest():
    while True:
        values = readNIDAQ()
        print values[0], values[1]
        time.sleep(1.0)
    

